// Titles //

@mixin mainTitle {
    font-family: 'Bebas Neue';
    font-style: normal;
    font-weight: 700;
    font-size: 96px;
    line-height: 96px;
    letter-spacing: 0.04em;
    text-transform: uppercase;
    color: $red;

    @media (max-width: 1230px) {
        font-size: 76px;
        line-height: 76px;
    }

    @media (max-width: 992px) {
        font-size: 66px;
        line-height: 66px;
    }
}

@mixin basicTitle {
    font-family: 'Bebas Neue';
    font-style: normal;
    font-weight: 400;
    font-size: 64px;
    line-height: 77px;
    letter-spacing: 0.04em;
    text-transform: uppercase;
    color: $black;
    text-align: center;

    @media (max-width: 992px) {
        font-size: 54px;
        line-height: 65px;
    }

    @media (max-width: 768px) {
        font-size: 50px;
        line-height: 60px;
    }

    @media (max-width: 576px) {
        font-size: 44px;
        line-height: 53px; 
    }

    @media (max-width: 380px) {
        font-size: 40px;
        line-height: 48px; 
    }
}

@mixin blockTitle {
    font-family: 'Bebas Neue';
    font-style: normal;
    font-weight: 400;
    font-size: 44px;
    line-height: 45px;
    letter-spacing: 0.04em;
    text-transform: uppercase;
    color: $black;

    @media (max-width: 992px) {
        font-size: 36px;    
        font-weight: 400;
    }

    @media (max-width: 768px) {
        font-size: 28px;
        line-height: 35px;
    }
}

@mixin blockText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 17px;
    line-height: 24px;
    color: $gray-dark;

    @media (max-width: 768px) {
        font-size: 16px;
    }
}

// Header // 

// Navigation //

@mixin navigationMain {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 700;
    font-size: 15px;
    line-height: 20px;
    color: $white;
}

@mixin navigationTitle {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 20px;
    letter-spacing: 0.02em;
    color: $black;
}

@mixin navigationText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 30px;
    color: $red-dark;
}

// Contact //

@mixin contactTitle {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    color: $gray-basic;
    margin-bottom: 4px;
}

@mixin contactText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 20px;
    color: $black;
    padding-bottom: 1px;

}

@mixin logoText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 20px;
    letter-spacing: 0.08em;
    color: $red;

    @media (max-width: 992px) {
        font-size: 13px;
    }

    @media (max-width: 768px) {
        font-size: 11px;
    }

    @media (max-width: 576px) {
        font-size: 10px;
    }

}

// Banner //

@mixin bannerTitle {
    font-family: 'Bebas Neue';
    font-style: normal;
    font-weight: 400;
    font-size: 48px;
    line-height: 58px;
    text-transform: uppercase;
    color: $black;

    @media (max-width: 1230px) {
        font-size: 30px;
        line-height: 36px;
    }
}

@mixin bannerPrice {
    font-family: 'Bebas Neue';
    font-style: normal;
    font-weight: 400;
    font-size: 44px;
    line-height: 53px;
    letter-spacing: 0.04em;
    text-transform: uppercase;
    color: $black;

    @media (max-width: 1230px) {
        font-size: 36px;
        line-height: 43px;
    }

    @media (max-width: 992px) {
        font-size: 30px;
        line-height: 36px;
    }
}

@mixin bannerText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    color: $black;

    @media (max-width: 992px) {
        font-size: 15px;
        line-height: 20px;
    }
}

// Form //

@mixin inputText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 24px;
    color: $gray-basic;
}

@mixin formText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 22px;

    @media (max-width: 576px) { 
        font-size: 14px;
        line-height: 18px;   
    }
}

@mixin error {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 12px;
    color: $yellow;
    position: absolute;
    width: 100%;
    top: -20px;
    left: 20px;
}

@mixin sentTitle {
    font-family: 'Bebas Neue';
    font-style: normal;
    font-weight: 400;
    font-size: 40px;
    line-height: 48px;
    text-align: center;
    text-transform: uppercase;
    color: $white;
}

@mixin sentText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 28px;
    color: $white;
}

// Card //

@mixin cardMainTitle {
    font-family: 'Bebas Neue';
    font-style: normal;
    font-weight: 700;
    font-size: 40px;
    line-height: 40px;
    letter-spacing: 0.04em;
    text-transform: uppercase;
    color: $black;

    @media (max-width: 992px) {
        font-size: 32px;
        line-height: 36px;
    }

    @media (max-width: 768px) {
        font-size: 28px;
        line-height: 36px;
    }
}

@mixin cardBasicTitle {
    font-family: 'Bebas Neue';
    font-style: normal;
    font-weight: 700;
    font-size: 26px;
    line-height: 26px;
    letter-spacing: 0.04em;
    text-transform: uppercase;
    text-align: center;
    color: $black;

    @media (max-width: 1230px) {
        font-size: 22px;
        line-height: 22px;
    }
}

@mixin cardText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    color: $gray-dark;
}

@mixin cardPrice {
    font-family: 'Bebas Neue';
    font-style: normal;
    font-weight: 700;
    font-size: 28px;
    line-height: 28px;
    letter-spacing: 0.04em;
    text-transform: uppercase;
    color: $black; 
}

// Plan // 

@mixin planText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 700;
    font-size: 17px;
    line-height: 24px;
    text-align: center;
    color: $black;

    @media (max-width: 576px) {
        font-size: 15px;
        line-height: 22px;
    }
}

// Accordion //

@mixin accordionTitle {
    font-family: 'Bebas Neue';
    font-style: normal;
    font-weight: 400;
    font-size: 24px;
    line-height: 29px;
    text-transform: uppercase;
    color: $black;

    @media (max-width: 576px) {
        font-size: 20px;
        line-height: 24px;
    }
}

@mixin accordionText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 17px;
    line-height: 24px;
    color: $gray-dark;

    @media (max-width: 576px) {
        font-size: 16px;
        font-weight: 400;
    }
}

// Specialist //

@mixin specialistTitle {
    font-family: 'Bebas Neue';
    font-style: normal;
    font-weight: 400;
    font-size: 32px;
    line-height: 38px;
    text-transform: uppercase;
    color: $black;

    @media (max-width: 576px) {
        font-size: 28px;
        line-height: 34px;
    }
}

@mixin specialistText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 17px;
    line-height: 24px;
    color: $gray-dark;

    @media (max-width: 576px) {
        font-size: 16px; 
    }
}

@mixin specialistSliderTitle {
    font-family: 'Bebas Neue';
    font-style: normal;
    font-weight: 400;
    font-size: 24px;
    line-height: 35px;
    color: $white;

    @media (max-width: 867px) {
        font-size: 20px;
        line-height: 30px;
    }
}

@mixin specialistSliderText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 26px;
}

// Other // 

@mixin stageText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 700;
    font-size: 17px;
    line-height: 24px;
    text-align: center;
    color: $black;

    @media (max-width: 380px) {
        font-size: 15px;
        line-height: 22px;
    }
}

@mixin descriptionText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
    color: $black;
}

// Main Link //

@mixin mainLink {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 700;
    font-size: 15px;
    line-height: 16px;
    border-radius: 30px;
    cursor: pointer;
}

@mixin link {
    transition: 0.4s ease;
    
    &:hover {
        color: $red !important;
    }
}

// Search // 

@mixin searchInput {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 24px;
    color: $gray-basic;
}

@mixin breadcrumb {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 24px;
    color: $gray-basic;
    transition: 0.4s ease;

    &:hover {
        color: $red;
    }
}

// Button // 

@mixin learnMoreButton {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 700;
    font-size: 14px;
    line-height: 16px;
    color: $gray-basic;
    background-color: $white;
    border: 2px solid $gray-extralight;
    border-radius: 30px;   
    max-width: 187px;
    width: 100%;
    height: 48px; 
    transition: 0.4s ease;
    cursor: pointer;

    &:hover {
        border: 2px solid $red-dark;
        color: $black;
    }
}

@mixin orderButton {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 700;
    font-size: 15px;
    line-height: 16px;
    max-width: 155px;
    width: 100%;
    height: 60px;
    color: $white;
    background-color: $red;
    border: none;
    border-radius: 30px;
    transition: 0.4s ease;
    cursor: pointer;

    &:hover {
        background-color: $red-dark;
    }
}


// Footer // 

@mixin footerContentText {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
    color: $black;
}

@mixin footerNavigationTitle {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 20px;
    letter-spacing: 0.02em;
    color: $black;
    cursor: pointer;
    transition: 0.4s ease;

    &:hover {
        color: $red;
    }
}

@mixin footerNavigationItem {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 14px;
    color: $gray-basic;
    cursor: pointer;
    transition: 0.4s ease;

    &:hover {
        color: $red;
    }
} 


@mixin copyright {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 18px;
    color: $black;
}


@mixin dropDownItem {
    font-family: 'Arial';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 35px;
    color: $gray-basic;

    &:hover {
        color: $red;
    }

}